package com.khmer9.yuki.remote.service;

public interface EventListener {
    void onConnect();

    void onConnectionError();

    void onDisconnect();

    void onClientNewGameListener(String data);

    void onClientRandomListener(String data);

    void onClientResetListener(String data);

    void onClientResultListener(String data);

    void onClientUpdateInfoListener(String data);

    void onClientTimeListener(String data);

    void onReconnect();

    void onReconnectionTimeout();
}
